Create a Package Event

Create a Point of Sale Framework (POSF) package event.

🚧

This Point-of-Sale Framework API is limited to Partners to build custom solutions for Encompass lenders. You must be a registered Point of Sale partner to use this API.

The endpoint URL is the partner's point of sale framework API root:
https://{Partner Point of Sale Framework API root}/v1/packages

The Create Package Event API is a synchronous webhook listener allowing Delivery Partner integration to hook into package creation and observe data and replace the email content and portal linking. The created event is only expected once for any package though a duplicate is possible on a retry and the package will be in Created status. Though it is a POST, it is expected to be idempotent based on the instanceId, groupNamespace, groupId, and packageId.

In order to receive the Point of Sale Framework events, you will onboard your integration with ICE Mortgage Technology providing an API root and secret. You will be provided with a Subscription Id (also known as an Integration Id) and a Signing Key Id for using in authenticating the webhook and making calls to other Point of Sale Framework APIs. See Request Signing for details.

Usage Notes

  • Status - During the Create Event, the package will always be in a Created state.
  • Group Version - The group version is for the group containing the package, and you would only ever get one Create Package event for the package and therefore you would not get different version of this event for the same package.
  • Recipients - All Point of Sale recipients that are required to take action on the package are included. This is currently borrowers (including coborrower) and non-borrowing owners but may change in the future. The group recipients will include all recipient’s data across packages in the group level.
Body Params

The package data.

group
object

Group details for the package.

string

The unique identifier within the group for this package. It should be treated as an opaque string without assumption on format.

string

This represents the possible states a package can be in.

  • Created
  • Completed
  • Expired
  • Voided
  • Cancelled
  • Replaced
string

The date and time captured as the package was being created.

string

The date and time captured as the package was modified.

from
object

Package sender details.

boolean

This indicates the sender requested they be notified when the package was viewed and the delivery platform will send a notification to them.

recipients
array of objects

The recipients in the package relevant to the Partner integration.
Other recipients are excluded before the event is sent.

recipients
tasks
array of objects

A reference to all tasks in the package and common metadata for the tasks.
This correlates to the recipient’s task statuses on ID.

tasks
documents
array of objects

Document metadata lookup for the package.
To see documents sent to each recipient correlate to recipient documents on ID.

documents
custom
object

Custom metadata attached. This should never be a hard dependency. Can be arbitrary JSON - provided by source.

boolean

The package has been cancelled. It is possible for a package to be restored after cancellation. cancelled packages should no longer be displayed to recipients.

boolean

The package was replaced by a new package and is no longer valid. It is possible for a user to create a new package to replace an existing one without telling the delivery system.
Actions, like task completion, will no longer successfully execute but the recipients should still be able to see it.

boolean

The package is no longer valid do to an explicit request.
Actions, like task completion, will no longer successfully execute but the recipients should still be able to see it.

boolean

The package has become invalid due to incompletion prior to the expiration date.
Actions, like task completion, will no longer successfully execute but the recipients should still be able to see it.

expirationDates
object

Dates by task type that trigger expiration if any of those task recipients have not completed expiration.

Headers
string
required

The Elli-Environment is prod. Note that even Partner test environments are in the ICE Mortgage Technology production environment. ICE Mortgage Technology may authorize co-development and provide another instance. In this case, they will let you know which environment it is in.

string
required

The relevant identifier for the Partners’ subscription established to look up the secret to verify signature. The Point of Sale Framework uses the unique integration ID established during onboarding. This should be considered an opaque string and not depend on being a GUID. For example: 921b347f-a341-4076-831c-5410d8f09e18

string
required

The unique ID representing the shared signing key being used for request signing. This will be provided during the onboarding process after the key is entered into the system. This should be considered an opaque string and not depend on being a GUID. For example: 911b538f-a311-4082-832c-5410d8f09e39

string
required

The request signature based on the shared signing key and request contents.

string
required

Unique id for the ICE Mortgage Technology request chain. This value should be logged and included when asking for assistance. This should be considered an opaque string and not depend on being a GUID. For example: 79f4e24c-9d28-468c-b59c-30016755af46

Responses
200

OK

400

Bad Request

Language
LoadingLoading…